texlive[73327] Master/tlpkg/bin/tl-update-linked-scripts:
commits+karl at tug.org
commits+karl at tug.org
Sun Jan 5 23:21:18 CET 2025
Revision: 73327
https://tug.org/svn/texlive?view=revision&revision=73327
Author: karl
Date: 2025-01-05 23:21:18 +0100 (Sun, 05 Jan 2025)
Log Message:
-----------
(compare_and_copy): do cp -pv, not just cp/
Modified Paths:
--------------
trunk/Master/tlpkg/bin/tl-update-linked-scripts
Modified: trunk/Master/tlpkg/bin/tl-update-linked-scripts
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-linked-scripts 2025-01-05 22:19:16 UTC (rev 73326)
+++ trunk/Master/tlpkg/bin/tl-update-linked-scripts 2025-01-05 22:21:18 UTC (rev 73327)
@@ -15,7 +15,7 @@
echo "updating $Src/$file -> $Dest/$file"
diff -u0 $Src/$file $Dest/$file
- cp $Src/$file $Dest/$file || exit 1
+ cp -pv $Src/$file $Dest/$file || exit 1
done
}
@@ -29,30 +29,7 @@
exit 1
}
-# echo "$Src => $Dest"
-
. $Dest/scripts.lst
compare_and_copy $texmf_scripts
exit $?
-
-# Here is how we handled a second directory, that copied in the other
-# direction. As of January 2020, all the scripts in tl_scripts are gone,
-# now maintained in Master with slaves in the normal linked_scripts
-# handled above.
-#
-## Build/source/texk/texlive/tl_scripts => Master/texmf-dist/scripts/texlive
-#
-#Src=`cd $Dest/../tl_scripts && pwd`
-#Dest=$Master/texmf-dist/scripts/texlive
-#
-#test -r $Src/scripts.lst || {
-# echo "$0: \`$Src/scripts.lst' missing'"
-# exit 1
-#}
-#
-## echo "$Src => $Dest"
-#
-#. $Src/scripts.lst
-#
-#compare_and_copy $tl_scripts
More information about the tex-live-commits
mailing list.